commit: 2216075a0bed6d007d2797e0101f35f2119256ac
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 20 13:40:00 2019 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun Jan 20 13:40:07 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2216075a
net-misc/putty: Fix src_test(), remove src_unpack()
Package-Manager: Portage-2.3.56, Repoman-2.3.12
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
net-misc/putty/putty-9999.ebuild | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/net-misc/putty/putty-9999.ebuild b/net-misc/putty/putty-9999.ebuild
index 696cc46a735..006648a270c 100644
--- a/net-misc/putty/putty-9999.ebuild
+++ b/net-misc/putty/putty-9999.ebuild
@@ -32,11 +32,6 @@ DEPEND="
virtual/pkgconfig
"
-src_unpack() {
- git-r3_src_unpack
- default
-}
-
src_prepare() {
default
@@ -62,6 +57,11 @@ src_compile() {
emake -C "${S}"/unix AR=$(tc-getAR) $(usex ipv6 '' COMPAT=-DNO_IPV6)
}
+src_test() {
+ emake -C unix cgtest
+ unix/cgtest || die
+}
+
src_install() {
dodoc doc/puttydoc.txt